%define upstream_name Horde_Scribe
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	1.0.1
Release:     	%mkrel 1
Summary:    	Horde Scribe
License:    	Apache 2.0
Group:       	Networking/Mail
Url:         	http://pear.horde.org/package/%{upstream_name}
Source0:    	Source0: http://pear.horde.org/get/%{upstream_name}-%{version}.tgz
BuildArch:  	noarch
Requires:    	php-pear
BuildRequires:	php-pear
BuildRequires: 	php-pear-channel-horde
Provides:      	php-pear-Horde_Scribe


%description
Packaged version of the PHP Scribe client.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .

# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Horde_Scribe.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Horde_Scribe.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/Horde_Scribe
fi

%files
%defattr(-,root,root)
%doc docs/Horde_Scribe/examples/scribe.php
%{peardir}/Horde/Scribe.php
%{peardir}/Horde/Scribe/Client.php
%{peardir}/Horde/Thrift/thrift_root/packages/scribe/scribe_types.php
%{peardir}/Horde/Thrift/thrift_root/scribe.php
%{xmldir}/Horde_Scribe.xml


%changelog

* Mon Nov 07 2011 spuhler <spuhler> 1.0.1-1.mga2
+ Revision: 164680
- upgrade to 1.0.1
- imported package php-pear-Horde_Scribe

